## org.ascape.util.vis
Class ColorIndex

    java.lang.Object
      org.ascape.util.vis.ColorIndex

    public class ColorIndex

extends java.lang.Object

Constructor Summary
`ColorIndex()`
`ColorIndex(org.eclipse.swt.widgets.Display display, long seed)`

Method Summary
`org.eclipse.swt.graphics.Color` `getColorFor(java.lang.Object model, org.eclipse.swt.graphics.RGB proposed)`
`org.eclipse.swt.graphics.Color` `getGeneratedColorFor(java.lang.Object model, float sat, float brightness)`
`org.eclipse.swt.graphics.Color` `getIndexedColor(org.eclipse.swt.graphics.RGB rgb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorIndex

    public ColorIndex(org.eclipse.swt.widgets.Display display,
                      long seed)

### ColorIndex

    public ColorIndex()

Method Detail

### getIndexedColor

    public final org.eclipse.swt.graphics.Color getIndexedColor(org.eclipse.swt.graphics.RGB rgb)

### getColorFor

    public final org.eclipse.swt.graphics.Color getColorFor(java.lang.Object model,
                                                            org.eclipse.swt.graphics.RGB proposed)

### getGeneratedColorFor

    public final org.eclipse.swt.graphics.Color getGeneratedColorFor(java.lang.Object model,
                                                                     float sat,
                                                                     float brightness)